com.lowagie.tools

## Class BuildTutorial

- java.lang.Object
- - com.lowagie.tools.BuildTutorial

    public class BuildTutorial
    extends java.lang.Object

This class can be used to build the iText website.

Author:
  Bruno Lowagie

### Field Summary

Fields
`(package private) static java.io.FileWriter` `build`
`(package private) static java.lang.String` `root`

### Constructor Summary

Constructors
Constructor and Description
`BuildTutorial()`

### Method Summary

Methods
`static void` `action(java.io.File source, java.io.File destination, java.io.File xsl_examples, java.io.File xsl_site)` Inspects a file or directory that is given and performs the necessary actions on it (transformation or recursion).
`static void` `convert(java.io.File infile, java.io.File xslfile, java.io.File outfile)` Converts an `infile`, using an `xslfile` to an `outfile`.
`static void` `main(java.lang.String[] args)` Main method so you can call the convert method from the command line.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### root

    static java.lang.String root

#### build

    static java.io.FileWriter build

### Constructor Detail

#### BuildTutorial

    public BuildTutorial()

### Method Detail

#### main

    public static void main(java.lang.String[] args)

Main method so you can call the convert method from the command line.

Parameters:
  `args` - 4 arguments are expected:
  - a sourcedirectory (root of the tutorial xml-files),
  - a destination directory (where the html and build.xml files will be generated),
  - an xsl to transform the index.xml into a build.xml
  - an xsl to transform the index.xml into am index.html

#### action

    public static void action(java.io.File source,
              java.io.File destination,
              java.io.File xsl_examples,
              java.io.File xsl_site)
                       throws java.io.IOException

Inspects a file or directory that is given and performs the necessary actions on it (transformation or recursion).

Parameters:
  `source` - a sourcedirectory (possibly with a tutorial xml-file)
  `destination` - a destination directory (where the html and build.xml file will be generated, if necessary)
  `xsl_examples` - an xsl to transform the index.xml into a build.xml
  `xsl_site` - an xsl to transform the index.xml into am index.html
Throws:
  `java.io.IOException` - when something goes wrong while reading or creating a file or directory

#### convert

    public static void convert(java.io.File infile,
               java.io.File xslfile,
               java.io.File outfile)

Converts an `infile`, using an `xslfile` to an `outfile`.

Parameters:
  `infile` - the path to an XML file
  `xslfile` - the path to the XSL file
  `outfile` - the path for the output file